Get call block number

Prev Next

Available in Classic and VPC

Get a number opted out of receiving ad messages.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /sms/v2/services/{serviceId}/unsubscribes

Request headers

For information about the headers common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
serviceId String Required SMS service ID

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
clientTelNo String Optional Opt-out phone number
  • Only numbers can be entered.
pageSize Integer Optional Number of items per page
  • 1-100
pageIndex Integer Optional Page index
  • 0-N (default: 0)
startTime Integer Optional Query start date and time (millisecond)
  • Unix timestamp format.
  • Based on opt-out registration date and time.
  • If not entered, the entire period will be applied as the default.
endTime Integer Optional Query end date and time (millisecond)
  • Unix timestamp format.
  • Based on opt-out registration date and time.
  • If not entered, the entire period will be applied as the default.

Request example

The request example is as follows:

curl --location --request GET 'https://sens.apigw.ntruss.com/sms/v2/services/ncp:sms:kr:50*********1:sens/unsubscribes?startTime=1763721600000&endTime=1763808000000' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
clientTelNo String Required Opt-out phone number
registerTime String Required Opt-out registration date and time
  • YYYY-MM-DDTHH:mm:ss.sss format
registerType String Required Opt-out inflow path
  • C | M
    • C: ARS
    • M: Manual

Response status codes

For information about the HTTP status codes common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service response status codes.

Response example

The response example is as follows:
If no opt-out numbers are registered within the query period, it returns an empty value with a 200 OK status.

[
    {
        "clientTelNo": "010********",
        "registerType": "M",
        "registerTime": "2025-11-21T16:10:47.884"
    }
]